/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<statefiltermodel.h>)
#  include <statefiltermodel.h>
#endif
#if __has_include(<statekeysmodel.h>)
#  include <statekeysmodel.h>
#endif
#if __has_include(<statemodel.h>)
#  include <statemodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_neochat_devtools()
{
    qmlRegisterModule("org.kde.neochat.devtools", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<StateFilterModel>("org.kde.neochat.devtools", 254);
    qmlRegisterTypesAndRevisions<StateKeysModel>("org.kde.neochat.devtools", 254);
    qmlRegisterEnum<StateKeysModel::Roles>("StateKeysModel::Roles");
    qmlRegisterTypesAndRevisions<StateModel>("org.kde.neochat.devtools", 254);
    qmlRegisterEnum<StateModel::Roles>("StateModel::Roles");
    QT_WARNING_POP
    qmlRegisterModule("org.kde.neochat.devtools", 254, 254);
}

static const QQmlModuleRegistration orgkdeneochatdevtoolsRegistration("org.kde.neochat.devtools", qml_register_types_org_kde_neochat_devtools);
